---
title: "Modify an existing CarrierService"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/carrier-service/modify-an-existing-carrier-service'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/carrier-service/modify-an-existing-carrier-service.md'
---
# Modify an existing CarrierService

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /carrier_services/:carrier_service_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_shipping`

## Request

### Path Parameters

* `carrier_service_id`

  string (required)

  Carrier service id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `carrier_service`

  object

  Carrier service information

  * `active`

    boolean

    Does the carrier service activate

  * `service_name`

    string

    Shipping service name

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `carrier_service`

  object

  Carrier service information

  * `service_discovery`

    boolean

    Does the merchant be able to send virtual data through Shopline background carrier service to see the example of shipping

  * `active`

    boolean

    Does the carrier service activate

  * `callback_url`

    string

    Url required to request to calculate the shipping fee , must be the official network URL.

  * `carrier_service_type`

    string

    Use to distinguish api shipping and merchant shipping

  * `id`

    string

    Id for carrier service

  * `name`

    string

    Shipping service name


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "cfzLJZps",
  "parameters": [
    {
      "name": "carrier_service_id",
      "in": "path",
      "description": "Carrier service id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "carrier_service_id",
        "description": "Carrier service id",
        "type": "string",
        "example": "123456"
      },
      "example": "123456"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "carrier_service": {
              "name": "carrier_service",
              "description": "Carrier service information",
              "type": "object",
              "properties": {
                "active": {
                  "name": "active",
                  "description": "Does the carrier service activate",
                  "type": "boolean",
                  "example": true
                },
                "service_name": {
                  "name": "service_name",
                  "description": "Shipping service name",
                  "type": "string",
                  "example": "Shipping Rate Provider"
                }
              },
              "example": {
                "active": true,
                "service_name": "Shipping Rate Provider"
              }
            }
          },
          "example": {
            "carrier_service": {
              "active": true,
              "service_name": "Shipping Rate Provider"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "carrier_service": {
                "name": "carrier_service",
                "description": "Carrier service information",
                "type": "object",
                "properties": {
                  "service_discovery": {
                    "name": "service_discovery",
                    "description": "Does the merchant be able to send virtual data through Shopline background carrier service to see the example of shipping",
                    "type": "boolean",
                    "example": true
                  },
                  "active": {
                    "name": "active",
                    "description": "Does the carrier service activate",
                    "type": "boolean",
                    "example": true
                  },
                  "callback_url": {
                    "name": "callback_url",
                    "description": "Url required to request to calculate the shipping fee , must be the official network URL.",
                    "type": "string",
                    "example": "http://shipping.example.com"
                  },
                  "carrier_service_type": {
                    "name": "carrier_service_type",
                    "description": "Use to distinguish api shipping and merchant shipping",
                    "type": "string",
                    "example": "Api : application participation configuration shipping ; merchant : merchant background configuration"
                  },
                  "id": {
                    "name": "id",
                    "description": "Id for carrier service",
                    "type": "string",
                    "example": "\"123456\""
                  },
                  "name": {
                    "name": "name",
                    "description": "Shipping service name",
                    "type": "string",
                    "example": "Shipping Rate Provider"
                  }
                },
                "example": {
                  "service_discovery": true,
                  "active": true,
                  "callback_url": "http://shipping.example.com",
                  "carrier_service_type": "Api : application participation configuration shipping ; merchant : merchant background configuration",
                  "id": "\"123456\"",
                  "name": "Shipping Rate Provider"
                }
              }
            },
            "example": {
              "carrier_service": {
                "callback_url": "http://shipping.example.com",
                "carrier_service_type": "Api : application participation configuration shipping ; merchant : merchant background configuration",
                "id": "\"123456\"",
                "name": "Shipping Rate Provider",
                "service_discovery": true,
                "active": true
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/carrier_services/:carrier_service_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Modify an existing CarrierService",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_shipping"
  ]
}
```